from django.urls import path
from django.conf import settings
from django.conf.urls.static import static
from . import views

urlpatterns = [
    path('', views.home, name="home"),
    path('upload/', views.upload_file, name="upload"),
    path('deleteFile/<int:audio_file_id>/', views.delete_file, name="delete"),
    path('files/', views.check_files, name="files"),
    path('record/', views.record_audio, name="record"),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
# static is for development purpose not for production
# https://docs.djangoproject.com/en/2.2/howto/static-files/#serving-files-uploaded-by-a-user-during-development
