from django.core.exceptions import ValidationError


def validate_file_extension_and_size(value):
    import os
    ext = os.path.splitext(value.name)[1]  # [0] returns path+filename
    filesize = value.size
    valid_extensions = ['.wav']
    if not ext.lower() in valid_extensions:
        raise ValidationError('Unsupported file extension.')
    if filesize > 10485760:
        raise ValidationError("The maximum file size that can be uploaded is 10MB")
    # 1MB -- 1048576
    # 5MB -- 5242880
    # 10MB -- 10485760
