import os

from django.shortcuts import render, redirect
from django.conf import settings

from .models import AudioFile
from .forms import AudioFileForm


def home(request):
    audio_files = AudioFile.objects.all()
    context = {'audio_files': audio_files}
    return render(request, 'base/home.html', context)


def upload_file(request):
    if request.method == 'POST':
        form = AudioFileForm(request.POST, request.FILES)
        if form.is_valid():
            form.save()
            return redirect('files')
    else:
        form = AudioFileForm()

    context = {'form': form}
    return render(request, 'base/upload_file.html', context)


def delete_file(request, audio_file_id):
    audio_file_to_delete = AudioFile.objects.get(id=audio_file_id)

    # delete file
    os.remove(os.path.join(settings.MEDIA_ROOT, audio_file_to_delete.file.name))

    audio_file_to_delete.delete()
    return redirect('files')


def check_files(request):
    audio_files = AudioFile.objects.all()
    context = {'audio_files': audio_files}
    return render(request, 'base/files.html', context)


def record_audio(request):
    return render(request, 'base/record.html')
